Package be.fgov.ehealth.bcp.protocol.v1

# Class ServiceList

java.lang.Object
be.fgov.ehealth.bcp.protocol.v1.ServiceList

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:57+02:00", comments="JAXB RI v4.0.5") public class ServiceList extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Service" type="{urn:be:fgov:ehealth:bcp:protocol:v1}ServiceType" maxOccurs="unbounded"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
           </sequence>
           <attribute name="Id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="Environment" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEnvironment()`
  Gets the value of the environment property.
  `String`
  `getId()`
  Gets the value of the id property.
  `Instant`
  `getIssueInstant()`
  Gets the value of the issueInstant property.
  `List<ServiceType>`
  `getServices()`
  Gets the value of the services property.
  `Signature`
  `getSignature()`
  Gets the value of the signature property.
  `void`
  `setEnvironment(String value)`
  Sets the value of the environment property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setIssueInstant(Instant value)`
  Sets the value of the issueInstant property.
  `void`
  `setSignature(Signature value)`
  Sets the value of the signature property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceList

    public ServiceList()

- ## Method Details

  - ### getServices

    public List<ServiceType> getServices()
    Gets the value of the services property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the services property.

    For example, to add a new item, do as follows:

         getServices().add(newItem);

    Objects of the following type(s) are allowed in the list `ServiceType`

    Returns:
      The value of the services property.

  - ### getSignature

    public Signature getSignature()
    Gets the value of the signature property.
    Returns:
      possible object is `Signature`

  - ### setSignature

    public void setSignature(Signature value)
    Sets the value of the signature property.
    Parameters:
      `value` - allowed object is `Signature`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIssueInstant

    public Instant getIssueInstant()
    Gets the value of the issueInstant property.
    Returns:
      possible object is `String`

  - ### setIssueInstant

    public void setIssueInstant(Instant value)
    Sets the value of the issueInstant property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEnvironment

    public String getEnvironment()
    Gets the value of the environment property.
    Returns:
      possible object is `String`

  - ### setEnvironment

    public void setEnvironment(String value)
    Sets the value of the environment property.
    Parameters:
      `value` - allowed object is `String`